# Method: recall.retrieveTokens

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/recall/retrieveTokens#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/recall/retrieveTokens#body.PATH_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/recall/retrieveTokens#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/recall/retrieveTokens#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/recall/retrieveTokens#body.RetrievePlayerTokensResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/recall/retrieveTokens#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/recall/retrieveTokens#try-it)

Retrieve all Recall tokens associated with the PGS Player encoded in the provided recall session id. The API is only available for users that have active PGS Player profile.

### HTTP request

`GET https://games.googleapis.com/games/v1/recall/tokens/{sessionId}`

### Path parameters

|                                                                             Parameters                                                                              ||
|-------------|--------------------------------------------------------------------------------------------------------------------------------------------------------|
| `sessionId` | `string` Required. Opaque server-generated string that encodes all the necessary information to identify the PGS player / Google user and application. |

### Request body

The request body must be empty.

### Response body

Response for the recall.retrieveTokens RPC

If successful, the response body contains data with the following structure:

|                                               JSON representation                                               |
|-----------------------------------------------------------------------------------------------------------------|
| ``` { "tokens": [ { object (https://developer.android.com/games/services/web/api/rest/v1/RecallToken) } ] } ``` |

|                                                                                           Fields                                                                                            ||
|------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `tokens[]` | `object (`[RecallToken](https://developer.android.com/games/services/web/api/rest/v1/RecallToken)`)` Required. Recall tokens associated with the requested PGS Player principal |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).